Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## emn.fr.ascola.view
Class MultiDashedEdgeRenderer

    java.lang.Object
      prefuse.render.AbstractShapeRenderer
          prefuse.render.EdgeRenderer
              emn.fr.ascola.view.MultiEdgeRenderer
                  emn.fr.ascola.view.MultiDashedEdgeRenderer

All Implemented Interfaces:
  prefuse.render.Renderer

    public class MultiDashedEdgeRenderer

extends MultiEdgeRenderer

Multiple and loop edge renderer. This solution assumes that we have a fields "count" int.class in the edge which gives the edge numbering between same pair of nodes

Author:
  jroyer 20/4/2008 1/6/2009 TODO problem with the interactive selection

Field Summary

Fields inherited from class prefuse.render.EdgeRenderer
`EDGE_TYPE`

Fields inherited from class prefuse.render.AbstractShapeRenderer
`RENDER_TYPE_DRAW, RENDER_TYPE_DRAW_AND_FILL, RENDER_TYPE_FILL, RENDER_TYPE_NONE`

Fields inherited from interface prefuse.render.Renderer
`DEFAULT_GRAPHICS`

Constructor Summary
`MultiDashedEdgeRenderer(int edgeTypeCurve, int edgeArrowForward)` Constructor.

Method Summary
`java.awt.BasicStroke` | `getStroke(prefuse.visual.VisualItem vi)`

Methods inherited from class prefuse.render.EdgeRenderer
`getArrowHeadHeight, getArrowHeadWidth, getArrowType, getDefaultLineWidth, getEdgeType, getHorizontalAlignment1, getHorizontalAlignment2, getRenderType, getVerticalAlignment1, getVerticalAlignment2, locatePoint, render, setArrowHeadSize, setArrowType, setBounds, setDefaultLineWidth, setEdgeType, setHorizontalAlignment1, setHorizontalAlignment2, setVerticalAlignment1, setVerticalAlignment2`

Methods inherited from class prefuse.render.AbstractShapeRenderer
`getShape, setManageBounds, setRenderType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiDashedEdgeRenderer

    public MultiDashedEdgeRenderer(int edgeTypeCurve,
                                   int edgeArrowForward)

  Constructor.

  Parameters:
    `edgeTypeCurve` - type curve
    `edgeArrowForward` - arrow head

Method Detail

### getStroke

    public java.awt.BasicStroke getStroke(prefuse.visual.VisualItem vi)

  Overrides:
    `getStroke` in class `prefuse.render.EdgeRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD